com.google.gwt.user.tools.util

## Class ArgHandlerIgnore

- java.lang.Object
- - com.google.gwt.util.tools.ArgHandler
  - - com.google.gwt.util.tools.ArgHandlerFlag
    - - com.google.gwt.user.tools.util.ArgHandlerIgnore

-     public abstract class ArgHandlerIgnore
      extends ArgHandlerFlag

  Ignores any existing files and does not overwrite them.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArgHandlerIgnore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLabel()` The root String that will be munged into -label and -nolabel variants for flag value toggling.
    `java.lang.String` | `getPurposeSnippet()` Returns a description that will be mixed together with default value to come up with the overall flag purpose.

    - ### Methods inherited from class com.google.gwt.util.tools.ArgHandlerFlag

      `addTagValue, getDefaultValue, getHelpTag, getPurpose, getTag, getTagArgs, getTags, handle, isRequired, setFlag`

    - ### Methods inherited from class com.google.gwt.util.tools.ArgHandler

      `getDefaultArgs, isExperimental, isUndocumented`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArgHandlerIgnore

          public ArgHandlerIgnore()

  - ### Method Detail

    - #### getPurposeSnippet

          public java.lang.String getPurposeSnippet()

      Description copied from class: `ArgHandlerFlag`
      Returns a description that will be mixed together with default value to come up with the overall flag purpose.
      Specified by:
        `getPurposeSnippet` in class `ArgHandlerFlag`

    - #### getLabel

          public java.lang.String getLabel()

      Description copied from class: `ArgHandlerFlag`
      The root String that will be munged into -label and -nolabel variants for flag value toggling. Should follow the verb[Adjective]Noun naming pattern. For example:
      Overrides:
        `getLabel` in class `ArgHandlerFlag`